<?php  
      // Moodle is free software: you can redistribute it and/or modify
	// it under the terms of the GNU General Public License as published by
	// the Free Software Foundation, either version 3 of the License, or
	// (at your option) any later version.
	//
	// Moodle is distributed in the hope that it will be useful,
	// but WITHOUT ANY WARRANTY; without even the implied warranty of
	// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	// GNU General Public License for more details.
	// 
	// You should have received a copy of the GNU General Public License
	// along with Moodle.  If not, see <http://www.gnu.org/licenses/>.
	// 	
	// Msociograma v0.28 ---Marco Alarcn (06/01/2010)
	// Msociograma is free software: you can redistribute it and/or modify
	// it under the terms of the GNU General Public License as published by
	// the Free Software Foundation, either version 3 of the License, or
	// (at your option) any later version.
	//
	// www.sourceforge.net/projects/msociograma
	//
	// This file corresponds to the  view.php file. 
	// It allows display a page or another according 
	// to the user or tab down.
  
    require_once("../../config.php");

    global $CFG, $COURSE;
    	
    $id    = optional_param('id', 0, PARAM_INT); // Course Module ID, or
    $q     = optional_param('q',  0, PARAM_INT);  // quiz ID
    $edit  = optional_param('edit', -1, PARAM_BOOL);
    $group = optional_param('group', 0, PARAM_INT); // Group to display	

   
 if ($id) {
        
   
        if (! $cm = get_coursemodule_from_id('msociograma', $id)) {
            error("There is no coursemodule with id".$id);
        }
        if (! $course = get_record("course", "id", $cm->course)) {
            error("Course is misconfigured");
        }
        if (! $msociograma= get_record("msociograma", "id", $cm->instance)) {
            error("The msociograma with id $cm->instance corresponding to this coursemodule $id is missing");
        }
    } else {
        if (! $msociograma= get_record("msociograma", "id", 2)) {
            error("There is no modul with ...");
        }
        if (! $course = get_record("course", "id", $msociograma->course)) {
            error("The course is missing");
        }
        if (! $cm = get_coursemodule_from_instance("msociograma", $msociograma->id, $course->id)) {
            error("The course module for the msociograma with id $q is missing");
        }
    }





    $id = required_param('id', PARAM_INT);    // Course Module ID

    if (! $cm = get_coursemodule_from_id('msociograma', $id)) {
        error("Course Module ID was incorrect");
    }

    if (! $course = get_record("course", "id", $cm->course)) {
        error("Course is misconfigured");
    }

    require_login($course->id, true, $cm);

    if (! $msociograma = get_record("msociograma", "id", $cm->instance)) {
        error("Course module is incorrect");
    }

    add_to_log($course->id, "msociograma", "view", "view.php?id=$cm->id", $msociograma->id, $cm->id);

    if (! $cw = get_record("course_sections", "id", $cm->section)) {
        error("Course module is incorrect");
    }

    $strmsociograma = get_string("modulename", "msociograma");
    $strmsociogramas = get_string("modulenameplural", "msociograma");
    
    
    $navigation = build_navigation('', $cm);
    print_header_simple(format_string($msociograma->name), '', $navigation, '', '', true,
                  update_module_button($cm->id, $course->id, $strmsociograma), navmenu($course, $cm));

/// Check to see if groups are being used here
    $groupmode = groupmode($course, $cm);
    $currentgroup = setup_and_print_groups($course, $groupmode, "view.php?id=$cm->id");

  
    $msociograma->intro = trim($msociograma->intro);

 

//read then post data and write the records	

if (isset ($_POST["question"]))
{
  $record->course=$_POST["course"];  
  $record->activity=$_POST["id"];
  $record->id_stu =$_POST["id_stu"];
  $record->question=$_POST["question"];
  $record->stu_ans=$_POST["answer".$record->question];
  $record->grup=$_POST["grup"]; 
  $resultado = insert_record("msociograma_answers", $record);
}

 print_simple_box_start('center');


$context = get_context_instance(CONTEXT_MODULE, $cm->id);



include('tabs.php');

if ($_GET["page"]=="students") 
 include('students.php');

if ($_GET["page"]=="agress") {
 include('agress.php');
}

if ($_GET["page"]=="victim") {
 include('victim.php');
}

if ($_GET["page"]=="prosoc") {
 include('prosoc.php');
}

if ($_GET["page"]=="estatus") {
 include('estatus.php');
}

if ($_GET["page"]=="data") 
 include('datalink.php');



if ($_GET["page"]=="sociogram") {
 include('sociograma.php');

//echo '<img src="image_sociogram.php?id_stu=2&cel=4" alt="Sociograma" />';
}


if ($_GET["page"]=="alumnes") {
 //include('alumnes.php');
include ('../../../user/index.php?contextid=8');
//print_r ($CFG); 
}






?>