<?php
	// Moodle is free software: you can redistribute it and/or modify
	// it under the terms of the GNU General Public License as published by
	// the Free Software Foundation, either version 3 of the License, or
	// (at your option) any later version.
	//
	// Moodle is distributed in the hope that it will be useful,
	// but WITHOUT ANY WARRANTY; without even the implied warranty of
	// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	// GNU General Public License for more details.
	// 
	// You should have received a copy of the GNU General Public License
	// along with Moodle.  If not, see <http://www.gnu.org/licenses/>.
	// 	
	// Msociograma v0.28 ---Marco Alarcn (06/01/2010)
	// Msociograma is free software: you can redistribute it and/or modify
	// it under the terms of the GNU General Public License as published by
	// the Free Software Foundation, either version 3 of the License, or
	// (at your option) any later version.
	//
	// www.sourceforge.net/projects/msociograma
	//
	//This file corresponds to the  image_sociogram.php file. 	
	//This file generates a image which contains blocks representing 
	//students and arrows that relate


require_once("../../config.php");
require_once('msociograma_lib.php');

srand (time());

header("Content-type: image/png");
$im = imagecreate(620,600 );
$background_color = imagecolorallocate($im, 255, 255, 255);
$grid_color = imagecolorallocate($im, 204, 204, 204);
$text_color = imagecolorallocate($im, 255, 0, 0);
$line_color = imagecolorallocate($im, 50, 50, 0);
$text_color_white = imagecolorallocate($im, 255, 255, 255);

$curs=$_GET["course"];
$act=$_GET["act"];
$question=$_GET["question"];
$colum=$_GET["col"];
$grid=$_GET["grid"];


if ($question!="")  
  $answer=($question-1)*3+$colum;
else
  $answer=1; //por defecto primera pregunta y primera columna


if ($_GET["id_stu"]<>"") {
  //guarda el numero de celda de cada alumno que llega desde el formulario
  $sql='SELECT * FROM mdl_msociograma_diagram m where id_stu ='.$_GET["id_stu"].';';

  if (!$log = get_records_sql($sql)){
    $alumno->id_stu=$_GET["id_stu"];
    $alumno->cel=$_GET["cel"]; 
    $alumno->course=$curs;
    $alumno->activity=$act;
    $alumno->answer=$answer;
    $resultado = insert_record("msociograma_diagram", $alumno);     //si no existe el registro se crea
  }else{
    foreach($log as $entrada_log)
      $ident=$entrada_log->id ;
    
    $alumno->id_stu=$_GET["id_stu"];
    $alumno->cel=$_GET["cel"];
    $alumno->id=$ident;
    $alumno->course=$curs;
    $alumno->activity=$act;
    $alumno->answer=$answer;
    $resultado = update_record("msociograma_diagram", $alumno);
  }
}
$ample=60;
//draw the grid
if ($grid=='on'){
  $cont=1;
  for ($row=0;$row<10;$row++){
    for ($col=0;$col<10;$col++){
       imagerectangle ($im, $col*$ample, $row*$ample, ($col*$ample)+$ample,($row*$ample)+$ample, $grid_color);
       imagestring($im, 900,$col*$ample+10, $row*$ample+10, $cont, $grid_color);
       $cont++;
    }
  }
}
//reset the array
 for($x=1;$x<10000;$x++){
   $alumne_nom[$x]='';
   $cella_alumne[$x]=0;
   for($y=1;$y<=36;$y++)
     $alumne_vot[$x][$y]=0;
 }

//adquiere la celda que corresponde a cada alumno 
$sql='SELECT * FROM '.$CFG->prefix.'msociograma_diagram m WHERE answer='.$answer.' AND course='.$curs.' AND activity='.$act.';';

$log = get_records_sql($sql);

  foreach($log as $entrada_log)
    $cella_alumne[$entrada_log->id_stu]= $entrada_log->cel;
 



$currentgroup = get_current_group($curs);

$aux=$answer-$colum+1;
//imagestring($im, 900,300, 300,'-'.$colum.'-', $text_color);

for ($t=$aux;$t<=$answer;$t++){//intenta barrer todas las respuestas de una pregunta

//consulta para sacar los datos de las respuestas
$sql='SELECT u.id AS id, u.username as usuari, m.id_stu as origen ,m.stu_ans as desti, m.question AS question, g.groupid  FROM
	('.$CFG->prefix.'msociograma_answers m )RIGHT JOIN ('.$CFG->prefix.'user u) 
		ON m.id_stu=u.id  INNER JOIN ('.$CFG->prefix.'groups_members g) ON u.id=g.userid 
			 WHERE (question='.$t.' OR question IS NULL) AND (course='.$curs.' OR course IS NULL) 
				 AND (activity='.$act.' OR activity IS NULL) 
				   AND username<>"guest" 
					AND g.groupid='.$currentgroup.' 
						ORDER BY u.username,m.id; ';





if (!$log = get_records_sql($sql)){
  imagestring($im, 900,200, 200,"NO ANSWERS-NO IMAGE", $text_color);
}else{
$cont = 0;
foreach($log as $entrada_log){
   
//imagestring($im, 900,200+($t*120), 100+($cont*15),$entrada_log->usuari.'('.$cella_alumne[$x].')('.$cella_alumne[$alumne_vot[$x][$y]].')', $text_color);


   if ($cella_alumne[$entrada_log->id] == 0){

  
      $cella_alumne[$entrada_log->id]= rand(1,100);
	$alumno->id_stu=$entrada_log->id;
	$alumno->cel=$cella_alumne[$entrada_log->id];
	$resultado = insert_record("msociograma_diagram", $alumno);
   }
   
   $alumne_nom[$entrada_log->id] = $entrada_log->usuari;
   $alumne_vot[$entrada_log->id][$t] = $entrada_log->desti;

 //imagestring($im, 900,300+($t*20), 300+($cont*15),$t, $text_color);

   $cont++;
}
}

}


for($x=1;$x<9999;$x++){
  if (($alumne_nom[$x]!='') and ($cella_alumne[$x]>0)){
    
     for ($y=$aux;$y<=$answer;$y++)
      if ($alumne_vot[$x][$y]!= 10000) //the id 10000 is an answer in white
         linea ($im,$cella_alumne[$x],$cella_alumne[$alumne_vot[$x][$y]],$ample, $line_color);
	
         colocaNom ($im,$alumne_nom[$x],$cella_alumne[$x],$ample, $line_color,$text_color_white, $line_color);
      
	// imagestring($im, 900,200+($t*120), 100+($cont*15),$entrada_log->usuari.'('.$cella_alumne[$x].')('.$cella_alumne[$alumne_vot[$x][$y]].')', $text_color);




   }
}

//imagestring($im, 900,200, 200,$grid, $text_color);
//imagestring($im, 900,200, 200,$sql, $text_color);


imagepng($im);
imagedestroy($im);


?>